<!DOCTYPE HTML>
<html>

<head>
	<title>Aim</title>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
	<link rel="stylesheet" href="static/assets/css/main.css" />
	<noscript>
		<link rel="stylesheet" href="static/assets/css/noscript.css" />
	</noscript>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
	<style>
		/* ---- reset ---- */
		body {
			margin: 0;
			font: normal 75% Arial, Helvetica, sans-serif;
		}

		canvas {
			display: block;
			vertical-align: bottom;
		}

		/* ---- particles.js container ---- */
		#particles-js {
			position: absolute;
			width: 100%;
			height: 100%;
			background-color: #919191;
			background-image: url("");
			background-repeat: no-repeat;
			background-size: cover;
			background-position: 50% 50%;
		}

		/* ---- stats.js ---- */
		.count-particles {
			display: none;
			background: #000022;
			position: absolute;
			top: 48px;
			left: 0;
			width: 80px;
			color: #13E8E9;
			font-size: .8em;
			text-align: left;
			text-indent: 4px;
			line-height: 14px;
			padding-bottom: 2px;
			font-family: Helvetica, Arial, sans-serif;
			font-weight: bold;
		}

		.js-count-particles {
			font-size: 1.1em;
		}

		#stats,
		.count-particles {
			-webkit-user-select: none;
			margin-top: 5px;
			margin-left: 5px;
		}

		#stats {
			border-radius: 3px 3px 0 0;
			overflow: hidden;
		}

		.count-particles {
			border-radius: 0 0 3px 3px;
		}
	</style>
</head>

<body style="background-color: #919191;" class="is-preload">
	<div style="z-index: 999;" id="particles-js"></div> <!-- stats - count particles -->
	<script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script> <!-- stats.js lib -->
	<script src="https://threejs.org/examples/js/libs/stats.min.js"></script>


	<!-- Wrapper -->
	<div style="z-index: 999;" id="wrapper">

		<!-- Header -->
		<header id="header">
			<div class="logo">
				<!-- <span class="icon fa-gem"></span><i class="fa-solid fa-microchip"></i> -->
				<i style="margin-top: 2.5vh;" class="fas fa-microchip fa-3x"></i>
			</div>
			<div class="content">
				<div class="inner">
					<h1 style="text-transform: none">Aim</h1>
					<p>Personal virtual psychologist based on latest<br> artificial intelligence algorithms and trained on<br> the unique parameters of people and their behavioral patterns<br>and data science to solve various business problems.</p>
					<!-- <a style="font-size: 2em;" href="https://t.me/virtual_helper_bot">AI Bot</a> -->
				</div>
			</div>
			<nav>
				<ul>
					<!-- <li><a href="#intro">Intro</a></li>
					<li><a href="#work">Work</a></li> -->
					<li style="width: 15em;"><a href="#whitelist">Whitelist</a></li>
					<li style="width: 15em;"><a href="https://1101.ai/1101.pdf">Presentation</a></li>
					<!--<li><a href="#elements">Elements</a></li>-->
				</ul>
			</nav>
		</header>

		<!-- Main -->
		<div id="main">

			<article id="payment">
				<h2 class="major">Choose method</h2>
				<ul class="actions">
					<button style="margin: 2em;" class="primary" onclick="window.location.href='#faq'">Buy with crypto</button>
					<button style="margin: 2em;" class="primary enableEthereumButton" onclick="window.location.href='#wallet'">Buy with Metamask</button>
				</ul>
			</article>

			<article id="sendtowallet">

				<h3 class="major">Send crypto to any wallet:</h3>

				<h3 style="margin-bottom: 1em;">USDT (ERC20)</h3> <input style="margin-bottom: 1em;" id="test1" type="text" readonly class="form-control" value="0xe6926ed1be3fe80bc9c9813ee96d9f7017d8102b"/>

				<h3 style="margin-bottom: 1em;">BTC </h3> <input style="margin-bottom: 1em;" id="test2" type="text" readonly class="form-control" value="12BfsLLwsFWbGERLQdn33MKchXnTXY11i8"/>

				<h3 style="margin-bottom: 1em;">ETH (ERC20)</h3> <input style="margin-bottom: 1em;" id="test3" type="text" readonly class="form-control" value="0xe6926ed1be3fe80bc9c9813ee96d9f7017d8102b"/>

				<h3 style="margin-bottom: 1em;">BNB (BEP20)</h3> <input style="margin-bottom: 2em;" id="test4" type="text" readonly class="form-control" value="0x83b8ffb8588ff035379ba3b480fbe558c07de050"/>

				<h3>Contact us on telegram after: <span style="text-transform: lowercase;">@synthetic_angel </span> </h3>

			</article>

			<article id="faq">
				<h2 class="major">How to buy</h2>

				<h3>1. Choose currency</h3>
				<h3>2. Transfer crypto</h3>
				<h3>3. Contact us on telegram: <span style="text-transform: lowercase;">@synthetic_angel </span> </h3>
				<h3>4. Get your tokens</h3>

				<ul class="actions">
					<button style="margin: 2em;" class="primary" onclick="window.location.href='#sendtowallet'">Got it</button>
				</ul>

			</article>

			<article id="whitelist">
				<h2 class="major">Join whitelist</h2>

				<h3>Contact us on telegram to join whitelist: <span style="text-transform: lowercase;">@synthetic_angel </span> </h3>

				<ul class="actions">
					<button style="margin: 2em;" class="primary" onclick="window.location.href='https://t.me/synthetic_angel'">Contact us</button>
				</ul>

			</article>

			<article id="faq_meta">
				<h2 class="major">How to buy</h2>

				<h3>1. Choose currency</h3>
				<h3>2. Transfer crypto</h3>
				<h3>3. Contact us on telegram @synthetic_angel</h3>

				<ul class="actions">
					<button style="margin: 2em;" class="primary" onclick="window.location.href='#sendtowallet'">Got it</button>
				</ul>
			</article>

			<article id="wallet">
				<h2 class="major">Token Sale</h2>
				<h3>Get you tokens now.<br> 1 DMT = 0.12 USDT</h3>
				<ul class="actions">
					<button style="margin: 2em;" class="sendEthButton1 primary">Buy tokens (4 BNB)</button>
					<button style="margin: 2em;" class="sendEthButton primary">Buy tokens (8 BNB)</button>
				</ul>
			</article>


			<article id="contact">
				<h2 class="major">Presentation</h2>
				<!-- <form > -->
					<ul class="actions">
						<button onclick="window.location.href = 'https://1101.ai/pres_en.pdf' " style="margin: 2em;" class="primary">English</button>
						<button onclick="window.location.href = 'https://1101.ai/pres_ru.pdf' " style="margin: 2em;" class="primary">Русский</button>
					</ul>
				<!-- </form> -->

			</article>

	

		</div>

		<!-- Footer -->
		<footer id="footer">
			<p class="copyright">&copy; Aim. <a href="https://t.me/synthetic_angel">Contacts</a> / <a href="#faq">Buy tokens</a></p>
		</footer>

	</div>

	<!-- BG -->
	<!-- <div id="bg"></div> -->

	<!-- Scripts -->
	<script>particlesJS("particles-js", { "particles": { "number": { "value": 80, "density": { "enable": true, "value_area": 800 } }, "color": { "value": "#ffffff" }, "shape": { "type": "circle", "stroke": { "width": 0, "color": "#000000" }, "polygon": { "nb_sides": 5 }, "image": { "src": "img/github.svg", "width": 100, "height": 100 } }, "opacity": { "value": 0.5, "random": false, "anim": { "enable": false, "speed": 1, "opacity_min": 0.1, "sync": false } }, "size": { "value": 3, "random": true, "anim": { "enable": false, "speed": 40, "size_min": 0.1, "sync": false } }, "line_linked": { "enable": true, "distance": 150, "color": "#ffffff", "opacity": 0.4, "width": 1 }, "move": { "enable": true, "speed": 6, "direction": "none", "random": false, "straight": false, "out_mode": "out", "bounce": false, "attract": { "enable": false, "rotateX": 600, "rotateY": 1200 } } }, "interactivity": { "detect_on": "canvas", "events": { "onhover": { "enable": true, "mode": "repulse" }, "onclick": { "enable": true, "mode": "push" }, "resize": true }, "modes": { "grab": { "distance": 400, "line_linked": { "opacity": 1 } }, "bubble": { "distance": 400, "size": 40, "duration": 2, "opacity": 8, "speed": 3 }, "repulse": { "distance": 200, "duration": 0.4 }, "push": { "particles_nb": 4 }, "remove": { "particles_nb": 2 } } }, "retina_detect": true }); </script>
	<script src="static/assets/js/jquery.min.js"></script>
	<script src="static/assets/js/browser.min.js"></script>
	<script src="static/assets/js/breakpoints.min.js"></script>
	<script src="static/assets/js/util.js"></script>
	<script src="static/assets/js/main.js"></script>

	<script>

		if (typeof window.ethereum == 'undefined') {
			$(".enableEthereumButton").hide();
		}
		else{
			ChangeNET();
		}

		const nodeList = document.querySelectorAll("input");

		for (let i = 0; i < nodeList.length; i++) {

			nodeList[i].addEventListener('click', function(e) {
				this.select();

				try {
					var success = document.execCommand('copy');

					success ? alert("Скопировано") : alert("Не удалось скопировать") 

				} catch (err) {
					console.log('Copying failed');
					alert("Не удалось скопировать");
				}
			});

		}


			async function ChangeNET() {
				try {
					await ethereum.request({
						method: 'wallet_switchEthereumChain',
						params: [{ chainId: '0x38' }],
					});
				} catch (switchError) {
				// This error code indicates that the chain has not been added to MetaMask.
				if (switchError.code === 4902) {
					try {
					await ethereum.request({
						method: 'wallet_addEthereumChain',
						params: [
						{
							chainId: '0x38',
							chainName: 'BSC Mainnet',
							rpcUrls: ['https://bsc-dataseed1.ninicoin.io'] /* ... */,
						},
						],
					});
					} catch (addError) {
					// handle "add" error
					}
				}
				// handle other "switch" errors
				}
			}

		const ethereumButton = document.querySelector('.enableEthereumButton');
		const sendEthButton = document.querySelector('.sendEthButton');
		const sendEthButton1 = document.querySelector('.sendEthButton1');


		let accounts = [];

		//Sending Ethereum to an address
		sendEthButton.addEventListener('click', () => {

			if (typeof window.ethereum !== 'undefined') {
				console.log('MetaMask is installed!');
				ChangeNET();
				
			}else{
				alert("Please install Metamask first!")
				$(".sendEthButton").hide();
				return;
			}

			alert("Send only BNB to this account!");


			if (accounts.length == 0){
				getAccount();
			}

			ethereum
				.request({
				method: 'eth_sendTransaction',
				params: [
					{
						from: accounts[0],
						to: '0x83b8ffb8588ff035379ba3b480fbe558c07de050',
						value: '0x6F05B59D3B200000',
						gasPrice: '0x12A05F200',
						gas: '0x5208',
					},
				],
				})
				.then((txHash) => {
					
					$.get(`/check_tx?tx=${txHash}&to_addr=${accounts[0]}&amount=16250000000000000000000`, function(data, status){
						console.log(data, status);
						alert("Tokens will arrive to your metamask account")
					});
					console.log(txHash);
				})

				.catch((error) => console.error);
		});

		sendEthButton1.addEventListener('click', () => {

			if (typeof window.ethereum !== 'undefined') {
				console.log('MetaMask is installed!');
				ChangeNET();
				
			}else{
				alert("Please install Metamask first!")
				$(".sendEthButton").hide();
				return;
			}

			alert("Send only BNB to this account!");


			if (accounts.length == 0){
				getAccount();
			}

			ethereum
				.request({
				method: 'eth_sendTransaction',
				params: [
					{
						from: accounts[0],
						to: '0x83b8ffb8588ff035379ba3b480fbe558c07de050',
						value: '0x3782DACE9D900000',
						gasPrice: '0x12A05F200',
						gas: '0x5208',
					},
				],
				})
				.then((txHash) => {
					
					$.get(`/check_tx?tx=${txHash}&to_addr=${accounts[0]}&amount=8125000000000000000000`, function(data, status){
						console.log(data, status);
						alert("Tokens will arrive to your metamask account")
					});
					console.log(txHash);
				})

				.catch((error) => console.error);
			});

		ethereumButton.addEventListener('click', () => {

			if (typeof window.ethereum !== 'undefined') {
				console.log('MetaMask is installed!');
				ChangeNET();
			}else{
				alert("Please install Metamask first!")
				$(".sendEthButton").hide();
				return;
			}

			getAccount();
		});

		async function getAccount() {
			accounts = await ethereum.request({ method: 'eth_requestAccounts' });
		}

		ethereum.on('accountsChanged', function (accounts_new) {
			alert(`Account changed to ${accounts_new[0]}`)
			accounts = accounts_new;
		});

	</script>

</body>

</html>